%define major 0
%define libname %mklibname samplerate %{major}
%define develname %mklibname samplerate -d

Summary:	Audio Sample Rate Converter library
Name:		libsamplerate
Version:	0.1.7
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound
URL:		http://www.mega-nerd.com/SRC/index.html
Source0:	http://www.mega-nerd.com/SRC/%{name}-%{version}.tar.gz
BuildRequires:	libsndfile-devel
BuildRequires:	fftw-devel >= 3
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

%package -n %{libname}
Summary:	Audio Sample Rate Converter shared library
Group:		System/Libraries

%description -n	%{libname}
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

This package contains the shared library required for running programs
using %{name}.

%package -n %{develname}
Summary:	Audio Sample Rate Converter development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{libname}-devel < 0.1.4
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

This package contains the C headers and other files needed to compile
programs with %{name}.

%package progs
Summary:	Audio Sample Rate Converter
Group:		Sound

%description progs
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

This package contains a command line utility based on %{name}.

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x
%make

%check
#gw one check fails in 0.1.7 on x86_64
#make check

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/samplerate.pc
%{_includedir}/samplerate.h

%files progs
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_bindir}/sndfile-resample


%changelog
* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2009.1
+ Revision: 340736
- disable checks
- update to new version 0.1.7

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2009.1
+ Revision: 334158
- new version
- drop patch

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2009.1
+ Revision: 328508
- fix checks
- update to new version 0.1.5

* Sun Jul 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.4-1mdv2009.0
+ Revision: 232077
- update to new version 0.1.4

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 17 2008 Oden Eriksson <oeriksson@mandriva.org> 0.1.3-1mdv2009.0
+ Revision: 195270
- 0.1.3

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-0.pre6.3mdv2008.1
+ Revision: 173759
- new license policy
- rebuild against libsndfile

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 Funda Wang <fundawang@mandriva.org> 0.1.3-0.pre6.2mdv2008.0
+ Revision: 94725
- fix provides

* Fri Jul 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-0.pre6.1mdv2008.0
+ Revision: 53953
- new prerelease

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-0.pre5.2mdv2008.0
+ Revision: 44720
- adjust provides

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-0.pre5.1mdv2008.0
+ Revision: 43354
- new version (prerelease)
- new devel library policy
- spec file clean


* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.1.2-3mdv2007.0
+ Revision: 88780
- Import libsamplerate

* Wed Nov 29 2006 Gtz Waschk <waschk@mandriva.org> 0.1.2-3mdv2007.1
- add check section

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-2mdk
- yearly rebuild

* Tue Nov 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- New release 0.1.2

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- reenable unit-at-a-time
- New release 0.1.1

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- fix buildrequires
- lower optflags
- reenable libtoolize

* Fri May 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- don't libtoolize
- drop prefix
- add source URL
- new version

